Bug 1012886 - Moving lanes destroys connectors current positioning
Moving lanes destroys connectors current positioning
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity low
: DR1
: 6.3.0
Assigned To: Tihomir Surdilovic
Jozef Marko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-27 06:30 EDT by Pedro Zapata
Modified: 2016-02-10 04:21 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Process (78.23 KB, application/xml)
2013-09-27 06:30 EDT, Pedro Zapata
no flags Details

  None (edit)
Description Pedro Zapata 2013-09-27 06:30:35 EDT
Created attachment 803875 [details]
Process

If you have a process with lanes and artifacts inside, when moving the lane even by one pixel will destroy all the connections.

To reproduce open attached process and move CFO lane. The arrows position will be recalculated.
Comment 2 Tihomir Surdilovic 2013-11-12 15:42:25 EST
the sequence flows are not removed but re-alligned. they are still existing as they did before. the reallign can in some scenarios make them overlap which is fine as you can always use their edge points to move them to some sort of other positions you'd like. this is not an issue imo.
Comment 3 Marek Baluch 2013-12-09 12:36:41 EST
Based on the latest comment no work has been done on this issues there for the result should be CLOSED - WONT FIX or NOT A BUG.

In my opinion if the whole process is selected using Ctrl+a and moved then the lanes should be left as they are. No re-aligning should be performed. Even Ctrl+z cannot be used to get back the original state.

Lowering severity as this does not break anything and may be considered only cosmetic.
Comment 5 Jeremy Lindop 2015-12-09 10:43:45 EST
Tested in bpmsuite-6.2.0.GA and the behaviour has been fixed as a result of recent work on swimlanes.
Comment 6 Jozef Marko 2016-02-10 04:21:42 EST
Connectors are preserved after moving lanes. 

Verified on 6.3.0.DR1

But please keep in mind, that there is still this behavior:
https://bugzilla.redhat.com/show_bug.cgi?id=1012886

Note You need to log in before you can comment on or make changes to this bug.